#!/usr/bin/env bash

# This ensures that we are in this script directory,
# even if we call it from another one.
SCRIPT_NAME=${BASH_SOURCE[0]}
cd `dirname ${SCRIPT_NAME}`

rm -f codeguards.sqlite
cd .. # so to see demo_blog
python3 -c 'from demo_flask.models import db; from demo import create_app; db.create_all(app=create_app());'
cd instance
sqlite3 codeguards.sqlite '.read insert_roles.sql'
sqlite3 codeguards.sqlite '.read insert_data.sql'